Friday, 17 June 2016

"Unable to complete version check" PS4 fix!

Well i experienced an annoyance the last few days trying to log in on my PS4. One that i looked up on and found many suffered from for weeks if not months at a time.

"Unable to complete version check"

What happens is you sign in on the launcher and when it should load the 'PLAY' button it crashed to a black screen, displays the aforementioned message and reloads the launcher to repeat it.

Quite simply you are stuck. Your launcher is out of synch with the servers and is no longer compatible. I had downloaded nothing, the only change in my experience had been a change to my phone line at the time so god knows if that was the cause.

There is however a solution.

From the dashboard of the PS4 go to settings>application saved data management>delete>ffxiv and you will see a few files. Most are character information, one is system data. Delete it.

Don't worry its not deleting all your game files and patches. Just forces the consoles to download the launcher again, ensuring it is the latest version. 
The game will behave like a fresh install, ask if you have a SE account and sign you in. The patcher will download about 57mbs of data then play normally. Aside from playing the beginning cutscene again and asking to select a datacenter the game should behave normally now.

This fixed the issue for me, for now at least, i hope it helps you as well!

1 comment:

  1. having this problem today - after patch 3.57 - sorry to say, this did not help on this end.